### Enumeration

# GdkPixdata.PixdataType

#### Declaration

    flags GdkPixdata.PixdataType

#### Description [src]

An enumeration containing three sets of flags for a `GdkPixdata` struct: one for the used colorspace, one for the width of the samples and one for the encoding of the pixel data.

#### Members

Name | Description
--- | ---
`GDK_PIXDATA_COLOR_TYPE_RGB` | each pixel has red, green and blue samples.
`GDK_PIXDATA_COLOR_TYPE_RGBA` | each pixel has red, green and blue samples and an alpha value.
`GDK_PIXDATA_COLOR_TYPE_MASK` | mask for the colortype flags of the enum.
`GDK_PIXDATA_SAMPLE_WIDTH_8` | each sample has 8 bits.
`GDK_PIXDATA_SAMPLE_WIDTH_MASK` | mask for the sample width flags of the enum.
`GDK_PIXDATA_ENCODING_RAW` | the pixel data is in raw form.
`GDK_PIXDATA_ENCODING_RLE` | the pixel data is run-length encoded. Runs may be up to 127 bytes long; their length is stored in a single byte preceding the pixel data for the run. If a run is constant, its length byte has the high bit set and the pixel data consists of a single pixel which must be repeated.
`GDK_PIXDATA_ENCODING_MASK` | mask for the encoding flags of the enum.